import React, { Component } from 'react'
import '../assets/stylesheets/application.scss'
import TaskList from "./list of tasks/TaskList"
import Matrix from "./matrix/Matrix"
import domToImage from 'dom-to-image' // add to redux project -S
import FileSaver from 'file-saver'  // add to redux project -S
                                    // plus make redux in oth porject single taskStore

export default class App extends Component {

  constructor(props) {
    super(props)
    this.downloadImage = this.downloadImage.bind(this)
    window.performance.mark('App')

  }

  componentWillMount() {
  }

  componentDidMount() {
    console.log("App boot time: ", window.performance.now('App'))
  }

  downloadImage = () => {
    domToImage.toBlob(document.getElementById('matrix'))
      .then(function (blob) {
        FileSaver.saveAs(blob, 'Matrix.png')
      })
  }

  render() {

    return (
      <main id="grid">
        <header>
          <h1>Eisenhower Matrix Task Organizer</h1>
          <p>This app can help you organize your tasks into 4 categories depending on their urgency & importance.</p>
        </header>

        <TaskList />
        <button id="download" onClick={this.downloadImage}>Download Image</button>

        <Matrix />

        <footer>
          <span>Adam Peklák - Practical part of Bachelor Thesis</span>
        </footer>
      </main>
    )
  }
}
