import React, { Component } from 'react'
import TaskItem from "./TaskItem"
import { observer, inject } from "mobx-react"

  @inject("TaskStore")
  @observer
  class TaskList extends Component {

    // benchmark(id) {
    //   for (let i = 0; i < 1000; i++) {
    //     this.props.TaskStore.putTaskInSector(id, i%5)
    //   }
    // }

    render() {
      const taskItems = this.props.TaskStore.tasks
        .slice().sort((a, b) => a.start - b.start)
        .slice().sort((a, b) => a.sector - b.sector)
        .map(task =>
        <TaskItem task={task}
                  key={task.id}
                  putTaskInSector={this.props.TaskStore.putTaskInSector} />)

      return (
        <div id="task-list">
          <header>
            <h2>List of tasks</h2>
          </header>
          <div className="tasks-container">
            { taskItems }
          </div>
        </div>
      )
    }
  }

export default TaskList