import React, { Component } from 'react'
import Sector from "./Sector"
import { observer, inject } from "mobx-react"

@inject("TaskStore")
@observer
class Matrix extends Component {

  constructor(props) {
    super(props)
    this.getTaskItems = this.getTaskItems.bind(this)
    this.unAssignTask = this.unAssignTask.bind(this)
  }

  getTaskItems(sector = 0) {
    return sector === 0 ? this.props.TaskStore.tasks : this.props.TaskStore.tasks.filter(task => task.sector === sector)
  }

  unAssignTask(task_id) {
    this.props.TaskStore.putTaskInSector(task_id, 0)
  }

  render() {
    const sectors = ["DO NOW", "DO LATER", "DELEGATE", "DON'T DO"]

    const items = sectors.map((s, i) =>
      <Sector key={i}
              sectorNumber={i+1}
              bgText={s}
              tasks={this.getTaskItems(i+1)}
              onDelete={this.unAssignTask} />)

    return (
      <div id="matrix">
        { items }
      </div>
    )
  }
}

export default Matrix