import { observable, action } from "mobx"
import ApiCalendar from "react-google-calendar-api";

class TaskStore {
  constructor() {
    ApiCalendar.onLoad(() => this.fetchTasks(10))
  }

  @observable tasks = []

  @action fetchTasks = (amount) => {
    ApiCalendar.listUpcomingEvents(amount)
      .then(({result}) => {
        this.tasks = result.items.map(t => {
          return {
            id: t.id,
            created: t.created,
            updated: t.updated,
            start: t.start,
            end: t.end,
            summary: t.summary,
            status: t.status,
            location: t.location,
            author: t.creator.email,
            sector: 0
          }
        })
      })
  }

  @action putTaskInSector = (task_id, sector = 0) => {
    if (task_id !== undefined && this.tasks.length > 0) {
      this.tasks.find(t => t.id === task_id).sector = sector
    }
  }
}
export default new TaskStore()